Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 758461

Summary: Xorg stabilisation for December 2020
Product: Gentoo Linux Reporter: Matt Turner <mattst88>
Component: StabilizationAssignee: Gentoo X packagers <x11>
Status: RESOLVED FIXED    
Severity: normal Keywords: CC-ARCHES
Priority: Normal Flags: nattka: sanity-check+
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
dev-libs/libclc-0.2.0_pre20201001 amd64 x86 dev-libs/libevdev-1.10.0 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 dev-libs/libinput-1.16.4 amd64 arm arm64 hppa ppc ppc64 sparc x86 media-libs/mesa-20.2.4 amd64 arm arm64 hppa ppc ppc64 sparc x86 x11-apps/fonttosfnt-1.2.0 amd64 arm ppc ppc64 sparc x86 x11-apps/xkbcomp-1.4.4 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 x11-apps/xprop-1.2.5 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 x11-base/xcb-proto-1.14.1 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 x11-drivers/xf86-video-vesa-2.5.0 amd64 x86 x11-libs/libX11-1.7.0 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 x11-libs/libXau-1.0.9-r1 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 x11-libs/libXtst-1.2.3-r2 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 x11-libs/libdrm-2.4.103 amd64 arm arm64 hppa ppc ppc64 sparc x86 x11-libs/libxkbcommon-1.0.3 amd64 arm arm64 hppa ppc ppc64 sparc x86 x11-libs/libxshmfence-1.3-r2 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 x11-misc/compose-tables-1.7.0 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 x11-misc/xkeyboard-config-2.31 amd64 arm arm64 hppa ppc ppc64 sparc x86
Runtime testing required: ---
Bug Depends on: 757882    
Bug Blocks:    
Attachments:
Description Flags
tatt-tests + rdeps (ppc64)
none
tatt-tests + rdeps (ppc) none

Description Matt Turner gentoo-dev 2020-12-04 22:33:46 UTC
do it
Comment 1 NATTkA bot gentoo-dev 2020-12-05 06:14:26 UTC
Sanity check failed:

> media-libs/mesa-20.2.4
>   depend ppc stable profile default/linux/powerpc/ppc32/17.0 (10 total)
>     media-libs/vulkan-loader:=
>   rdepend ppc stable profile default/linux/powerpc/ppc32/17.0 (10 total)
>     media-libs/vulkan-loader:=
> media-libs/vulkan-layers-1.2.154
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=dev-util/glslang-10.11.0.0_pre20200924:=[abi_x86_64(-)]
>   depend amd64 dev profile default/linux/amd64/17.0/x32 (1 total)
>     >=dev-util/glslang-10.11.0.0_pre20200924:=[abi_x86_32(-),abi_x86_64(-),abi_x86_x32(-)]
>   depend amd64 stable profile default/linux/amd64/17.1 (11 total)
>     >=dev-util/glslang-10.11.0.0_pre20200924:=[abi_x86_32(-),abi_x86_64(-)]
>   depend amd64 stable profile default/linux/amd64/17.1/no-multilib (3 total)
>     >=dev-util/glslang-10.11.0.0_pre20200924:=[abi_x86_64(-)]
>   depend arm stable profile default/linux/arm/17.0 (19 total)
>     >=dev-util/glslang-10.11.0.0_pre20200924:=
>   depend arm dev profile default/linux/arm/17.0/armv4 (33 total)
>     >=dev-util/glslang-10.11.0.0_pre20200924:=
>   depend x86 stable profile default/linux/x86/17.0 (11 total)
>     >=dev-util/glslang-10.11.0.0_pre20200924:=[abi_x86_32(-)]
Comment 2 NATTkA bot gentoo-dev 2020-12-05 06:22:43 UTC
All sanity-check issues have been resolved
Comment 3 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-12-06 20:43:43 UTC
amd64 done
Comment 4 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-12-07 05:13:28 UTC
arm64 done
Comment 5 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-12-07 15:28:02 UTC
arm stable
Comment 6 ernsteiswuerfel archtester 2020-12-13 17:21:15 UTC
Created attachment 678250 [details]
tatt-tests + rdeps (ppc64)

Looking good on ppc64.

mesa fails tests (bug #677388).

rdep libxkbcommon (bug #677388), mc (bug #759466), systemd (bug #738456) fail tests. Rest of test failures are timeouts or test problems.
Comment 7 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-12-13 23:27:05 UTC
s390 stable
Comment 8 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-12-13 23:30:17 UTC
(In reply to ernsteiswuerfel from comment #6)
> Created attachment 678250 [details]
> tatt-tests + rdeps (ppc64)
> 
> Looking good on ppc64.
> 
> mesa fails tests (bug #677388).
> 
> rdep libxkbcommon (bug #677388), mc (bug #759466), systemd (bug #738456)
> fail tests. Rest of test failures are timeouts or test problems.

Thank you! ppc64 stable
Comment 9 ernsteiswuerfel archtester 2020-12-19 15:04:16 UTC
Created attachment 678814 [details]
tatt-tests + rdeps (ppc)

Looking good on ppc.

mesa fails tests (bug #677388) and chokes at some USE-flag combinations (bug #760546, bug #760540).

rdep libxkbcommon (bug #677388), mc (bug #759466), systemd (bug #738456), fcitx (bug #760732), gst-plugins-base (bug #650636), tvision (bug #760576) fail tests. Rest of test failures are timeouts or test problems.
Comment 10 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-12-19 15:08:16 UTC
ppc done
Comment 11 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-12-19 15:08:35 UTC
(In reply to ernsteiswuerfel from comment #9)
> Created attachment 678814 [details]
> tatt-tests + rdeps (ppc)
> 
> Looking good on ppc.
> 
> mesa fails tests (bug #677388) and chokes at some USE-flag combinations (bug
> #760546, bug #760540).
> 
> rdep libxkbcommon (bug #677388), mc (bug #759466), systemd (bug #738456),
> fcitx (bug #760732), gst-plugins-base (bug #650636), tvision (bug #760576)
> fail tests. Rest of test failures are timeouts or test problems.

Thank you as ever! Committed, ppc stable.
Comment 12 Thomas Deutschmann gentoo-dev 2020-12-20 19:18:14 UTC
x86 stable
Comment 13 Matt Turner gentoo-dev 2020-12-24 03:39:36 UTC
sparc done
Comment 14 Matt Turner gentoo-dev 2020-12-31 16:36:46 UTC
hppa -> ~hppa